import { Dispatch, GetState, Imports } from '../types/ReduxTypes';
import { LoginAttempt } from '../util/loginAttempt';
/**
 * Logs the user in, using password, PIN, or recovery.
 * There is no error handling in here, since components do that best.
 */
export declare const login: (attempt: LoginAttempt, otpKey?: string | undefined) => (dispatch: Dispatch, getState: GetState, imports: Imports) => Promise<void>;
export declare const loginWithTouch: (username: string) => (dispatch: Dispatch, getState: GetState, imports: Imports) => Promise<void>;
export declare function loginWithPin(username: string, pin: string): (dispatch: Dispatch, getState: GetState, imports: Imports) => void;
export declare function processWait(message: string): (dispatch: Dispatch, getState: GetState, imports: Imports) => void;
/**
 * Ask the user for the username that goes with a recovery key,
 * then launches the questions scene.
 */
export declare const launchPasswordRecovery: (recoveryKey: string) => (dispatch: Dispatch, getState: GetState, imports: Imports) => Promise<void>;
