var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
/**
 * Returns true if we can't find the voucher in the pending list.
 */
export const hasReadyVoucher = (otpError) => (dispatch, getState, imports) => __awaiter(void 0, void 0, void 0, function* () {
    const { context } = imports;
    const { voucherId } = otpError;
    if (voucherId == null)
        return false;
    // Is that voucher pending?
    const messages = yield context.fetchLoginMessages();
    for (const username of Object.keys(messages)) {
        const { pendingVouchers } = messages[username];
        for (const voucher of pendingVouchers) {
            if (voucher.voucherId === voucherId)
                return false;
        }
    }
    return true;
});
export const requestOtpReset = () => (dispatch, getState, imports) => __awaiter(void 0, void 0, void 0, function* () {
    const state = getState();
    const { otpAttempt, otpError } = state.login;
    const { context } = imports;
    if (otpAttempt == null || otpError == null) {
        throw new Error('No OTP retry data');
    }
    const { resetToken } = otpError;
    if (resetToken == null) {
        throw new Error('No OTP reset token');
    }
    const date = yield context.requestOtpReset(otpAttempt.username, resetToken);
    dispatch({ type: 'OTP_RESET_REQUEST', data: date });
});
