import * as React from 'react';
import { ActivityIndicator, Text, View } from 'react-native';
import * as Colors from '../../constants/Colors';
import { scale } from '../../util/scaling';
export class FourDigit extends React.PureComponent {
    render() {
        const { error, spinner } = this.props;
        return (React.createElement(View, { style: styles.container },
            React.createElement(View, { style: styles.interactiveContainer }, spinner ? (React.createElement(ActivityIndicator, { color: Colors.ACCENT_MINT, size: "large" })) : (this.renderDotContainer())),
            React.createElement(View, { style: styles.errorContainer },
                React.createElement(Text, { style: styles.errorText, numberOfLines: 2 }, error))));
    }
    renderDotContainer() {
        const { pin } = this.props;
        return (React.createElement(View, { style: styles.dotContainer },
            React.createElement(View, { style: [styles.circle, pin.length > 0 && styles.circleSected] }),
            React.createElement(View, { style: [styles.circle, pin.length > 1 && styles.circleSected] }),
            React.createElement(View, { style: [styles.circle, pin.length > 2 && styles.circleSected] }),
            React.createElement(View, { style: [styles.circle, pin.length > 3 && styles.circleSected] })));
    }
}
const styles = {
    // used for logging *back in* with PIN
    container: {
        paddingTop: 12,
        width: '100%',
        height: scale(86)
    },
    errorContainer: {
        height: scale(40),
        width: '100%',
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'space-around'
    },
    errorText: {
        color: Colors.ACCENT_RED,
        backgroundColor: Colors.TRANSPARENT,
        textAlign: 'center',
        fontSize: scale(12)
    },
    interactiveContainer: {
        height: scale(40),
        width: '100%',
        alignItems: 'center'
    },
    dotContainer: {
        height: '100%',
        width: scale(190),
        flexDirection: 'row',
        justifyContent: 'space-between'
    },
    circle: {
        borderWidth: 2,
        borderColor: Colors.WHITE,
        borderRadius: scale(15),
        height: scale(30),
        width: scale(30)
    },
    circleSected: {
        backgroundColor: Colors.ACCENT_MINT,
        borderWidth: scale(2),
        borderColor: Colors.WHITE,
        borderRadius: scale(15),
        height: scale(30),
        width: scale(30)
    }
};
