import * as React from 'react';
import { Text, TouchableWithoutFeedback, View } from 'react-native';
import MaterialIcon from 'react-native-vector-icons/MaterialIcons';
import s from '../../common/locales/strings';
import * as Constants from '../../constants/index';
import { isIphoneX } from '../../util/isIphoneX';
import { scale } from '../../util/scaling';
export class PinKeypad extends React.PureComponent {
    render() {
        const { disabled, onPress } = this.props;
        return (React.createElement(View, { style: styles.keypadContainer },
            React.createElement(View, { style: styles.keypadInner },
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('1'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_one))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('2'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_two))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('3'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_three)))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('4'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_four))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('5'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_five))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('6'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_six)))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('7'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_seven))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('8'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_eight))),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('9'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_nine)))),
                React.createElement(View, { style: styles.keypadRow },
                    React.createElement(View, { style: styles.keypadColumnBlank }),
                    React.createElement(TouchableWithoutFeedback, { style: styles.keypadColumn, onPress: () => onPress('0'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumn },
                            React.createElement(Text, { style: styles.keypadKeys }, s.strings.keypad_zero))),
                    React.createElement(TouchableWithoutFeedback, { onPress: () => onPress('back'), disabled: disabled },
                        React.createElement(View, { style: styles.keypadColumnBack },
                            React.createElement(MaterialIcon, { name: "backspace", style: styles.keypadKeysBack })))))));
    }
}
const styles = {
    keypadContainer: {
        width: '100%',
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadInner: {
        flex: 1,
        maxWidth: 500,
        height: scale(180),
        maxHeight: 300,
        marginBottom: isIphoneX ? scale(28) : 0
    },
    keypadRow: {
        flex: 1,
        flexDirection: 'row'
    },
    keypadColumn: {
        flex: 1,
        borderColor: Constants.ACCENT_MINT,
        borderWidth: 1,
        margin: scale(2),
        borderRadius: 5,
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadColumnBack: {
        flex: 1,
        margin: scale(2),
        justifyContent: 'center',
        alignItems: 'center'
    },
    keypadColumnBlank: {
        flex: 1,
        margin: scale(2)
    },
    keypadKeys: {
        textAlign: 'center',
        fontSize: scale(14),
        color: Constants.ACCENT_MINT
    },
    keypadKeysBack: {
        textAlign: 'center',
        fontSize: scale(30),
        color: Constants.ACCENT_MINT
    }
};
