import * as React from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import MaterialIcon from 'react-native-vector-icons/MaterialIcons';
export class UserListItem extends React.Component {
    constructor() {
        super(...arguments);
        this.handleDelete = () => {
            this.props.onDelete(this.props.data);
        };
        this.handlePress = () => {
            this.props.onClick(this.props.data);
        };
    }
    render() {
        return (React.createElement(TouchableOpacity, { onPress: this.handlePress }, this.renderInside()));
    }
    renderInside() {
        const { style } = this.props;
        return (React.createElement(View, { style: style.container },
            React.createElement(View, { style: style.textComtainer },
                React.createElement(Text, { style: style.text }, this.props.data)),
            React.createElement(TouchableOpacity, { style: style.iconButton.container, onPress: this.handleDelete },
                React.createElement(MaterialIcon, { style: style.iconButton.icon, name: "close", size: style.iconButton.iconSize }))));
    }
}
