import * as React from 'react';
import { ImageBackground, Keyboard, TouchableWithoutFeedback } from 'react-native';
import LinearGradient from 'react-native-linear-gradient';
import { useTheme } from '../services/ThemeContext';
export const BackgroundImage = ({ branding, style, content, enableTouch = true, onPress = () => Keyboard.dismiss() }) => {
    const src = branding.backgroundImage;
    const theme = useTheme();
    const imageBackground = () => {
        return (React.createElement(ImageBackground, { source: src, style: style }, content));
    };
    const gradientBackground = () => {
        return (React.createElement(LinearGradient, { style: style, start: { x: 0, y: 0 }, end: { x: 1, y: 0 }, colors: [theme.backgroundGradientLeft, theme.backgroundGradientRight] }, content));
    };
    const componentBackground = src ? imageBackground() : gradientBackground();
    if (enableTouch) {
        return (React.createElement(TouchableWithoutFeedback, { onPress: onPress }, componentBackground));
    }
    return componentBackground;
};
