import * as React from 'react';
import { ActivityIndicator, Text, TouchableHighlight, View } from 'react-native';
import * as Colors from '../../constants/Colors';
export class Button extends React.Component {
    constructor(props) {
        super(props);
        this.handlePress = () => {
            this.props.onPress();
            if (this.props.doesThink) {
                this.setState({
                    isThinking: true
                });
            }
        };
        this.state = {
            isThinking: false,
            pressed: false
        };
    }
    // eslint-disable-next-line camelcase
    UNSAFE_componentWillReceiveProps(nextProps) {
        var _a;
        if (nextProps.isThinking !== this.state.isThinking) {
            this.setState({
                isThinking: (_a = nextProps.isThinking) !== null && _a !== void 0 ? _a : false
            });
        }
    }
    render() {
        return (React.createElement(TouchableHighlight, { style: [
                this.props.upStyle,
                this.state.pressed ? this.props.downStyle : {}
            ], underlayColor: this.props.downStyle.backgroundColor, onPress: this.handlePress, disabled: this.props.isThinking, onHideUnderlay: () => {
                this.setState({ pressed: false });
            }, onShowUnderlay: () => {
                this.setState({ pressed: true });
            } }, this.renderInside()));
    }
    renderInside() {
        if (!this.props.isThinking) {
            return (React.createElement(Text, { testID: this.props.testID, style: [
                    this.props.upTextStyle,
                    this.state.pressed && this.props.downTextStyle
                ] }, this.props.label));
        }
        return (React.createElement(View, null,
            React.createElement(ActivityIndicator, { color: Colors.ACCENT_MINT, size: "small" })));
    }
}
