import * as React from 'react';
import { MaterialInput } from './MaterialInput';
export class FormField extends React.Component {
    constructor() {
        super(...arguments);
        this.handleSubmitEditing = () => {
            if (this.props.onSubmitEditing) {
                this.props.onSubmitEditing();
            }
        };
    }
    render() {
        const { container, baseColor, tintColor, textColor, errorColor, titleTextStyle } = this.props.style;
        return (React.createElement(MaterialInput, { testID: this.props.testID, label: this.props.label, value: this.props.value, onChangeText: this.props.onChangeText, error: this.props.error, containerStyle: container, secureTextEntry: this.props.secureTextEntry, returnKeyType: this.props.returnKeyType, baseColor: baseColor, tintColor: tintColor, textColor: textColor, errorColor: errorColor, titleTextStyle: titleTextStyle, autoFocus: this.props.autoFocus, forceFocus: this.props.forceFocus, onFocus: this.props.onFocus, onBlur: this.props.onBlur, autoCapitalize: this.props.autoCapitalize, autoCorrect: this.props.autoCorrect, onSubmitEditing: this.handleSubmitEditing }));
    }
}
FormField.defaultProps = {
    value: '',
    returnKeyType: 'done'
};
