import * as React from 'react';
import { Image, Linking, Text, TouchableOpacity, View } from 'react-native';
import * as Assets from '../../assets/';
import s from '../../common/locales/strings';
import { FONTS } from '../../constants/Fonts';
import { scale } from '../../util/scaling';
export class HeaderParentButtons extends React.Component {
    constructor() {
        super(...arguments);
        this.handlePress = () => {
            const { parentButton } = this.props.branding;
            if (parentButton != null)
                parentButton.callback();
        };
    }
    render() {
        const { parentButton, appId } = this.props.branding;
        const openEdgeSite = () => Linking.openURL(s.strings.edge_site);
        return (React.createElement(View, { style: styles.container },
            parentButton && parentButton.text && (React.createElement(TouchableOpacity, { onPress: this.handlePress },
                React.createElement(View, { style: styles.leftButtonContainer },
                    React.createElement(Text, { style: parentButton.style || styles.leftButtonText }, parentButton.text)))),
            React.createElement(View, { style: styles.spacer }),
            appId && (React.createElement(TouchableOpacity, { onPress: openEdgeSite },
                React.createElement(View, { style: styles.rightButtonContainer },
                    React.createElement(Text, { style: styles.rightButtonText }, "powered by"),
                    React.createElement(Image, { source: Assets.LOGO_SMALL, resizeMode: "contain", style: styles.image }))))));
    }
}
const styles = {
    container: {
        top: scale(30),
        marginLeft: scale(15),
        marginRight: scale(15),
        flexDirection: 'row'
    },
    leftButtonContainer: {
        justifyContent: 'center',
        alignContents: 'center',
        height: scale(32)
    },
    leftButtonText: {
        fontFamily: FONTS.fontFamilyRegular,
        color: '#FFF',
        fontSize: 16
    },
    rightButtonContainer: {
        justifyContent: 'flex-end',
        alignContents: 'flex-end',
        height: scale(32)
    },
    rightButtonText: {
        color: '#FFF',
        fontSize: 10,
        textAlign: 'right'
    },
    spacer: {
        flex: 1
    },
    image: {
        width: scale(74),
        height: scale(20)
    }
};
