import * as React from 'react';
import { Text, TouchableHighlight } from 'react-native';
import * as Constants from '../../../constants/index';
import { scale } from '../../../util/scaling';
export class TextRowComponent extends React.Component {
    constructor(props) {
        super(props);
        this.handlePressButton = () => {
            this.props.onPress(this.props.data);
        };
        this.handleShowUnderlay = () => {
            this.setState({
                pressed: true
            });
        };
        this.handleHideUnderlay = () => {
            this.setState({
                pressed: false
            });
        };
        this.state = {
            pressed: false
        };
        this.numberOfLines = this.props.numberOfLines || 1;
    }
    render() {
        const { container, text, textPressed, underlayColor } = styles;
        return (React.createElement(TouchableHighlight, { style: container, onPress: this.handlePressButton, onShowUnderlay: this.handleShowUnderlay, onHideUnderlay: this.handleHideUnderlay, underlayColor: underlayColor },
            React.createElement(Text, { style: [text, this.state.pressed && textPressed], ellipsizeMode: "middle", numberOfLines: this.numberOfLines }, this.props.title)));
    }
}
const styles = {
    container: {
        width: '100%',
        padding: scale(10)
    },
    text: {
        fontSize: scale(14),
        color: Constants.GRAY_1
    },
    textPressed: {
        fontSize: scale(14),
        color: Constants.BLACK
    },
    underlayColor: Constants.GRAY_3
};
