import * as React from 'react';
import { TextField } from 'react-native-material-textfield';
interface Props {
    testID?: string;
    label: string;
    value: string;
    error?: string;
    containerStyle: Object;
    baseColor: string;
    tintColor: string;
    textColor: string;
    errorColor: string;
    titleTextStyle: Object;
    secureTextEntry?: boolean;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    autoCorrect?: boolean;
    autoFocus?: boolean;
    forceFocus?: boolean;
    returnKeyType?: 'done' | 'go' | 'next' | 'search' | 'send';
    onFocus?: () => void;
    onBlur?: () => void;
    onChangeText: (text: string) => void;
    onSubmitEditing: () => void;
}
interface State {
    inputText: string;
    autoFocus: boolean;
}
export declare class MaterialInput extends React.Component<Props, State> {
    textInput: React.RefObject<TextField>;
    constructor(props: Props);
    componentDidMount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: Props): void;
    render(): JSX.Element;
    handleChange: (text: string) => void;
    handleSubmitEditing: () => void;
    handleFocus: () => void;
    handleBlur: () => void;
}
export {};
