import * as React from 'react';
import { TextField } from 'react-native-material-textfield';
import { scale } from '../../util/scaling';
export class MaterialInput extends React.Component {
    constructor(props) {
        var _a;
        super(props);
        this.handleChange = (text) => {
            this.setState({
                inputText: text
            });
            this.props.onChangeText(text);
        };
        this.handleSubmitEditing = () => {
            if (this.props.onSubmitEditing) {
                this.props.onSubmitEditing();
            }
        };
        this.handleFocus = () => {
            if (this.props.onFocus) {
                this.props.onFocus();
            }
        };
        this.handleBlur = () => {
            if (this.props.onBlur) {
                this.props.onBlur();
            }
        };
        this.textInput = React.createRef();
        this.state = {
            inputText: '',
            autoFocus: (_a = this.props.autoFocus) !== null && _a !== void 0 ? _a : false
        };
    }
    componentDidMount() {
        var _a;
        if (this.props.autoFocus) {
            (_a = this.textInput.current) === null || _a === void 0 ? void 0 : _a.focus();
        }
    }
    // eslint-disable-next-line camelcase
    UNSAFE_componentWillReceiveProps(nextProps) {
        var _a, _b, _c;
        if (nextProps.value !== this.state.inputText) {
            this.setState({
                inputText: nextProps.value,
                autoFocus: (_a = nextProps.autoFocus) !== null && _a !== void 0 ? _a : false
            });
        }
        if (nextProps.autoFocus && !this.props.autoFocus) {
            (_b = this.textInput.current) === null || _b === void 0 ? void 0 : _b.focus();
        }
        if (nextProps.forceFocus) {
            (_c = this.textInput.current) === null || _c === void 0 ? void 0 : _c.focus();
        }
    }
    render() {
        const value = this.props.value ? this.props.value : '';
        const error = this.props.error ? this.props.error : '';
        const { containerStyle, baseColor, tintColor, textColor, errorColor, titleTextStyle, secureTextEntry, returnKeyType } = this.props;
        const autoCorrectConfigured = typeof this.props.autoCorrect === 'undefined'
            ? true
            : this.props.autoCorrect;
        return (React.createElement(TextField, { testID: this.props.testID, ref: this.textInput, label: this.props.label, value: value, onChangeText: this.handleChange, error: error, containerStyle: containerStyle, baseColor: baseColor, tintColor: tintColor, textColor: textColor, errorColor: errorColor, titleTextStyle: titleTextStyle, secureTextEntry: secureTextEntry, autoCapitalize: this.props.autoCapitalize, returnKeyType: returnKeyType, onBlur: this.handleBlur, onFocus: this.handleFocus, autoCorrect: autoCorrectConfigured, onSubmitEditing: this.handleSubmitEditing, fontSize: scale(15), titleFontSize: scale(12), labelFontSize: scale(12) }));
    }
}
