import { Shape, Surface } from '@react-native-community/art';
import qrcodeGenerator from 'qrcode-generator';
import * as React from 'react';
/**
 * Renders a QR code.
 */
export function QrCode(props) {
    const { data, size, padding = 1, backgroundColor = 'white', foregroundColor = 'black' } = props;
    // Generate an SVG path:
    const code = qrcodeGenerator(0, 'H');
    code.addData(data);
    code.make();
    const svg = code.createSvgTag(1, padding);
    const path = svg.replace(/.*d="([^"]*)".*/, '$1');
    // Create a drawing transform to scale QR cells to device pixels:
    const sizeInCells = code.getModuleCount() + 2 * padding;
    return (React.createElement(Surface, { height: size, width: size, style: { backgroundColor } },
        React.createElement(Shape, { d: path, fill: foregroundColor, scale: size / sizeInCells })));
}
