import * as React from 'react';
import { AirshipBridge } from 'react-native-airship';
export interface ButtonInfo {
    label: string;
    type?: 'primary' | 'secondary';
    onPress?: () => Promise<boolean>;
}
/**
 * A modal with a title, message, and buttons.
 * This is an alternative to the native `Alert` component.
 *
 * Child components appear between the message and the buttons,
 * but this feature is only meant for inserting extra message elements,
 * like images or custom text formatting.
 *
 * Build a custom modal component if you need form fields, check boxes,
 * or other interactive elements.
 */
export declare function ButtonsModal<Buttons extends {
    [key: string]: ButtonInfo;
}>(props: {
    bridge: AirshipBridge<keyof Buttons | undefined>;
    buttons: Buttons;
    children?: React.ReactNode;
    closeArrow?: boolean;
    message?: string;
    title?: string;
}): JSX.Element;
