import * as React from 'react';
import { AirshipBridge } from 'react-native-airship';
interface Props {
    bridge: AirshipBridge<string | undefined>;
    onSubmit?: (text: string) => Promise<boolean | string>;
    title?: string;
    message?: string;
    inputLabel: string;
    submitLabel?: string;
    autoCapitalize?: 'none' | 'sentences' | 'words' | 'characters';
    autoCorrect?: boolean;
    keyboardType?: 'default' | 'number-pad' | 'decimal-pad' | 'numeric' | 'email-address' | 'phone-pad';
    returnKeyType?: 'done' | 'go' | 'next' | 'search' | 'send';
    secureTextEntry?: boolean;
}
interface State {
    errorMessage?: string;
    text: string;
    spinning: boolean;
}
export declare class TextInputModal extends React.Component<Props, State> {
    constructor(props: Props);
    handleCancel: () => void;
    handleChangeText: (text: string) => void;
    handleSubmit: () => void;
    render(): JSX.Element;
}
export {};
