import * as React from 'react';
import { Airship } from '../services/AirshipInstance';
import { ThemeProvider } from '../services/ThemeContext';
/**
 * We use this context to determine if `LoginUiProvider` is mounted.
 */
const loginUiContext = React.createContext(false);
/**
 * Provides modals and other services for the login UI.
 * In the future, this will be our injection point for branding &
 * theme customizations.
 */
export function LoginUiProvider(props) {
    return (React.createElement(loginUiContext.Provider, { value: true },
        React.createElement(ThemeProvider, null,
            React.createElement(Airship, null, props.children))));
}
export function MaybeProvideLoginUi(props) {
    const { children } = props;
    const hasProvider = React.useContext(loginUiContext);
    return hasProvider ? children : React.createElement(LoginUiProvider, null, children);
}
