import * as React from 'react';
import { ActivityIndicator, View } from 'react-native';
import * as Colors from '../../constants/Colors';
import * as Styles from '../../styles/index';
import { BackgroundImage } from '../common/BackgroundImage';
export class LoadingScene extends React.Component {
    constructor() {
        super(...arguments);
        this.renderSpinner = () => {
            return (React.createElement(View, { style: styles.spinner },
                React.createElement(ActivityIndicator, { color: Colors.ACCENT_MINT, size: "large" })));
        };
    }
    render() {
        return (React.createElement(View, { style: styles.container },
            React.createElement(BackgroundImage, { branding: this.props.branding, style: styles.backgroundImage, content: this.renderSpinner() })));
    }
}
const styles = {
    container: Styles.SceneStyle,
    backgroundImage: {
        flex: 1,
        width: null,
        height: null,
        alignItems: 'center'
    },
    spinner: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center'
    }
};
