import * as React from 'react';
import { Image, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import { withTheme } from '../services/ThemeContext';
import { EdgeText } from '../themed/EdgeText';
import { ThemedScene } from '../themed/ThemedScene';
const loader = require('../../assets/safeLoader.gif');
const WaitSceneComponent = ({ title, message, theme }) => {
    const styles = getStyles(theme);
    return (React.createElement(ThemedScene, null,
        React.createElement(View, { style: styles.content },
            React.createElement(EdgeText, { style: styles.title }, title),
            React.createElement(EdgeText, { style: styles.message }, message),
            React.createElement(Image, { source: loader, style: styles.loaderImage }))));
};
const getStyles = cacheStyles((theme) => ({
    content: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center'
    },
    title: {
        fontFamily: theme.fontFaceBold,
        fontSize: theme.rem(1.25),
        marginBottom: theme.rem(1.25)
    },
    message: {
        fontFamily: theme.fontFaceBold,
        fontSize: theme.rem(1),
        marginBottom: theme.rem(2),
        textAlign: 'center'
    },
    loaderImage: {
        width: theme.rem(5),
        height: theme.rem(5)
    }
}));
export const WaitScene = withTheme(WaitSceneComponent);
