import { EdgeAccount, EdgePendingVoucher } from 'edge-core-js';
import * as React from 'react';
import { ThemeProps } from '../../services/ThemeContext';
interface OwnProps {
}
interface StateProps {
    account: EdgeAccount;
}
interface DispatchProps {
    startResecure: (account: EdgeAccount) => void;
    onDone: () => void;
}
declare type Props = OwnProps & StateProps & DispatchProps & ThemeProps;
interface State {
    needsResecure: boolean;
    otpResetDate: Date | undefined;
    pendingVouchers: EdgePendingVoucher[];
    showSkip: boolean;
    spinReset: boolean;
    spinVoucher: {
        [voucherId: string]: boolean;
    };
}
export declare class SecurityAlertsSceneComponent extends React.Component<Props, State> {
    cleanups: Array<() => unknown> | undefined;
    constructor(props: Props);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    renderReset(): React.ReactNode;
    renderVouchers(): React.ReactNode;
    handleApproveReset: () => void;
    handleApproveVoucher: (voucherId: string) => void;
    handleDeny: () => Promise<void>;
    handleSkip: () => void;
    checkEmpty: () => void;
}
export declare const SecurityAlertsScene: React.ComponentType<OwnProps>;
export {};
