import * as React from 'react';
import { Store } from 'redux';
import { RootState } from '../../reducers/RootReducer';
import { Action, Dispatch, GetState, Imports } from '../../types/ReduxTypes';
interface Props {
    children?: React.ReactNode;
    initialAction: Action | ((dispatch: Dispatch, getState: GetState, i: Imports) => unknown);
    imports: Imports;
}
/**
 * Consolidates our Redux setup logic into one place.
 */
export declare class ReduxStore extends React.Component<Props> {
    store: Store<RootState>;
    constructor(props: Props);
    componentDidUpdate(prev: Props): void;
    render(): JSX.Element;
}
declare type Connector<ExtraProps, OwnProps> = (component: React.ComponentType<ExtraProps & OwnProps>) => React.ComponentType<OwnProps>;
/**
 * The react-redux connect function, locked to our own Redux types
 * and fixed to take the same parameters as the TypeScript version.
 */
export declare function connect<StateProps, DispatchProps, OwnProps>(mapStateToProps: (state: RootState, ownProps: OwnProps) => StateProps, mapDispatchToProps?: (dispatch: Dispatch, ownProps: OwnProps) => DispatchProps): Connector<StateProps & DispatchProps, OwnProps>;
export {};
