import * as React from 'react';
import { Text, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import s from '../../common/locales/strings';
import { withTheme } from '../services/ThemeContext';
/**
 * Renders a horizontal line with text in the middle.
 */
function DividerWithTextComponent(props) {
    const { label = s.strings.or, theme } = props;
    const styles = getStyles(theme);
    return (React.createElement(View, { style: styles.container },
        React.createElement(View, { style: styles.line }),
        React.createElement(Text, { style: styles.text }, label),
        React.createElement(View, { style: styles.line })));
}
const getStyles = cacheStyles((theme) => ({
    container: {
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center',
        margin: theme.rem(0.5)
    },
    line: {
        height: 1,
        borderColor: theme.secondaryText,
        borderBottomWidth: 1,
        flex: 1
    },
    text: {
        fontFamily: theme.fontFamily,
        fontSize: theme.rem(1),
        color: theme.secondaryText,
        marginHorizontal: theme.rem(0.5),
        paddingBottom: 4 // padding to center the text
    }
}));
export const DividerWithText = withTheme(DividerWithTextComponent);
