import * as React from 'react';
import { Text, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import { withTheme } from '../services/ThemeContext';
/**
 * A container for holding an icon & header text.
 */
function IconHeaderRowComponent(props) {
    const { children, renderIcon, theme } = props;
    const styles = getStyles(theme);
    return (React.createElement(View, { style: styles.row },
        React.createElement(Text, { style: styles.icon }, renderIcon(theme)),
        React.createElement(View, { style: styles.text }, children)));
}
const getStyles = cacheStyles((theme) => ({
    row: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    icon: {
        color: theme.primaryText,
        fontSize: theme.rem(2),
        margin: theme.rem(0.5)
    },
    text: {
        flex: 1
    }
}));
export const IconHeaderRow = withTheme(IconHeaderRowComponent);
