import * as React from 'react';
import { View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import { withTheme } from '../services/ThemeContext';
import { Fade } from './Fade';
const IconSignalComponent = ({ enabledIcon: EnabledIcon, disabledIcon: DisabledIcon, enabled, theme }) => {
    const styles = getStyles(theme);
    return (React.createElement(View, { style: styles.container },
        React.createElement(View, { style: styles.icon },
            React.createElement(Fade, { visible: enabled },
                React.createElement(EnabledIcon, { size: theme.rem(1.1), color: theme.positiveText }))),
        React.createElement(View, { style: styles.icon },
            React.createElement(Fade, { visible: !enabled },
                React.createElement(DisabledIcon, { size: theme.rem(1.1), color: theme.warningText })))));
};
const getStyles = cacheStyles((theme) => ({
    container: {
        height: theme.rem(1.1),
        width: theme.rem(1.1)
    },
    icon: {
        position: 'absolute',
        height: theme.rem(1.1),
        width: theme.rem(1.1)
    }
}));
export const IconSignal = withTheme(IconSignalComponent);
