import * as React from 'react';
import { TouchableOpacity } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import AntDesignIcon from 'react-native-vector-icons/AntDesign';
import { useTheme } from '../services/ThemeContext';
export function ModalCloseArrow(props) {
    const theme = useTheme();
    const styles = getStyles(theme);
    return (React.createElement(TouchableOpacity, { onPress: props.onPress, style: styles.closeArrow },
        React.createElement(AntDesignIcon, { name: "down", size: theme.rem(1.25), color: theme.iconTappable })));
}
const getStyles = cacheStyles((theme) => ({
    closeArrow: {
        alignItems: 'center',
        paddingTop: theme.rem(1)
    }
}));
