import * as React from 'react';
import { View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import { useTheme } from '../services/ThemeContext';
export function PinDots({ maxLength, pinLength }) {
    const theme = useTheme();
    const styles = getStyles(theme);
    return (React.createElement(View, { style: styles.container }, [...new Array(maxLength)].map((_, index) => (React.createElement(View, { key: index, style: [styles.circle, pinLength > index && styles.circleFilled] })))));
}
const getStyles = cacheStyles((theme) => ({
    container: {
        width: '100%',
        flexDirection: 'row',
        justifyContent: 'space-between'
    },
    circle: {
        borderWidth: theme.mediumLineWidth,
        borderColor: theme.primaryButton,
        borderRadius: theme.rem(1),
        height: theme.rem(2),
        width: theme.rem(2)
    },
    circleFilled: {
        backgroundColor: theme.primaryButton
    }
}));
