import { EdgeAccount } from 'edge-core-js';
declare type BiometryType = 'Fingerprint' | 'TouchID' | 'FaceID';
declare const asFingerprintFile: import("cleaners").Cleaner<{
    enabledUsers: string[];
    disabledUsers: string[];
}>;
declare type FingerprintFile = ReturnType<typeof asFingerprintFile>;
export declare function isTouchEnabled(username: string): Promise<boolean>;
export declare function isTouchDisabled(username: string): Promise<boolean>;
export declare function supportsTouchId(): Promise<boolean>;
export declare function enableTouchId(account: EdgeAccount): Promise<void>;
export declare function disableTouchId(account: EdgeAccount): Promise<void>;
export declare function getSupportedBiometryType(): Promise<BiometryType | null>;
/**
 * Looks up the stored biometric secret for a user.
 * Returns undefined if there is no secret, or if the user denies the request.
 */
export declare function getLoginKey(username: string, promptString: string, fallbackString: string): Promise<string | undefined>;
export declare function loadFingerprintFile(): Promise<FingerprintFile>;
export {};
