const initialState = {
    username: null,
    password: null,
    confirmPassword: null,
    pin: '',
    pinError: '',
    passwordStatus: null,
    createPasswordErrorMessage: null,
    confirmPasswordErrorMessage: null,
    pinErrorMessage: null,
    usernameErrorMessage: null,
    createErrorMessage: null
};
export function create(state = initialState, action) {
    switch (action.type) {
        case 'CREATE_ACCOUNT_FAIL':
            return Object.assign(Object.assign({}, state), { createErrorMessage: action.data });
        case 'CLEAR_CREATE_ERROR_MESSAGE':
            return Object.assign(Object.assign({}, state), { createErrorMessage: null });
        case 'CREATE_UPDATE_USERNAME':
            return Object.assign(Object.assign({}, state), { username: action.data.username, usernameErrorMessage: action.data.error });
        case 'CREATE_UPDATE_PIN':
            return Object.assign(Object.assign({}, state), { pin: action.data.pin, pinErrorMessage: action.data.error });
        case 'AUTH_UPDATE_PASSWORD':
            return Object.assign(Object.assign({}, state), { password: action.data.password, passwordStatus: action.data.passwordStatus, createPasswordErrorMessage: action.data.error });
        case 'AUTH_UPDATE_CONFIRM_PASSWORD':
            return Object.assign(Object.assign({}, state), { confirmPassword: action.data.password, confirmPasswordErrorMessage: action.data.error });
        case 'RESET_APP':
            return initialState;
        default:
            return state;
    }
}
