import { EdgeAccount } from 'edge-core-js';
import { Action } from '../types/ReduxTypes';
import { CreateState } from './CreateUserReducer';
import { LoginState } from './LoginReducer';
import { PasswordRecoveryState } from './PasswordRecoveryReducer';
import { PasswordStatusState } from './PasswordStatusReducer';
import { PreviousUsersState } from './PreviousUsersReducer';
import { SceneState } from './SceneReducer';
export interface RootState {
    create: CreateState;
    login: LoginState;
    passwordRecovery: PasswordRecoveryState;
    passwordStatus: PasswordStatusState | null;
    previousUsers: PreviousUsersState;
    scene: SceneState;
    readonly account: EdgeAccount | null;
    readonly touch: 'FaceID' | 'TouchID' | false;
}
export declare const rootReducer: (state: RootState, action: Action) => RootState;
