import { combineReducers } from 'redux';
import { create } from './CreateUserReducer';
import { login } from './LoginReducer';
import { passwordRecovery } from './PasswordRecoveryReducer';
import { passwordStatus } from './PasswordStatusReducer';
import { previousUsers } from './PreviousUsersReducer';
import { scene } from './SceneReducer';
export const rootReducer = combineReducers({
    create,
    login,
    passwordRecovery,
    passwordStatus,
    previousUsers,
    scene,
    account(state = null, action) {
        switch (action.type) {
            case 'CREATE_ACCOUNT_SUCCESS':
            case 'START_CHANGE_PASSWORD':
            case 'START_CHANGE_PIN':
            case 'START_RESECURE':
            case 'START_SECURITY_ALERT':
                return action.data;
            case 'START_CHANGE_RECOVERY':
            case 'START_OTP_REPAIR':
                return action.data.account;
        }
        return state;
    },
    touch(state = false, action) {
        return action.type === 'SET_TOUCH' ? action.data : state;
    }
});
