declare type FontWeight = 'normal' | 'bold' | '100' | '200' | '300' | '400' | '500' | '600' | '700' | '800' | '900';
export interface Theme {
    rem: (size: number) => number;
    pressedOpacity: number;
    fontFamily: string;
    fontWeightBold: FontWeight;
    icon: string;
    iconDeactivated: string;
    iconTappable: string;
    backgroundGradientLeft: string;
    backgroundGradientRight: string;
    modal: string;
    modalShadow: string;
    modalBlurType: 'light' | 'dark';
    primaryText: string;
    secondaryText: string;
    dangerText: string;
    warningText: string;
    linkText: string;
    positiveText: string;
    tileBackground: string;
    primaryButtonOutline: string;
    primaryButton: string;
    primaryButtonText: string;
    secondaryButtonOutline: string;
    secondaryButton: string;
    secondaryButtonText: string;
    alertModalPrimaryButtonOutline: string;
    alertModalPrimaryButton: string;
    alertModalPrimaryButtonText: string;
    alertModalTertiaryButtonOutline: string;
    alertModalTertiaryButton: string;
    alertModalTertiaryButtonText: string;
    dropdownWarning: string;
    dropdownError: string;
    dropdownText: string;
    securityAlertModalBackground: string;
    securityAlertModalHeaderCircle: string;
    securityAlertModalHeaderIcon: string;
    securityAlertModalDangerIcon: string;
    securityAlertModalWarningIcon: string;
    securityAlertModalRowBorder: string;
    securityAlertModalText: string;
    lineDivider: string;
    titleLineDivider: string;
    reallyThinLineWidth: number;
    thinLineWidth: number;
    mediumLineWidth: number;
    fontFaceDefault: string;
    fontFaceBold: string;
    fontFaceSymbols: string;
}
export {};
