/**
 * Returns true if the application should show the SecurityAlertsScene.
 */
export function hasSecurityAlerts(account) {
    const { otpResetDate, pendingVouchers = [] } = account;
    return otpResetDate != null || pendingVouchers.length > 0;
}
/**
 * Calls a callback when the account gains or loses security alerts.
 */
export function watchSecurityAlerts(account, onChange) {
    const callback = () => {
        onChange(hasSecurityAlerts(account));
    };
    const cleanups = [
        account.watch('otpResetDate', callback),
        account.watch('pendingVouchers', callback)
    ];
    return () => cleanups.forEach(cleanup => cleanup());
}
