var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export function attemptLogin(context, attempt, opts) {
    return __awaiter(this, void 0, void 0, function* () {
        if (attempt.type === 'password') {
            return yield context.loginWithPassword(attempt.username, attempt.password, opts);
        }
        if (attempt.type === 'pin') {
            return yield context.loginWithPIN(attempt.username, attempt.pin, opts);
        }
        return yield context.loginWithRecovery2(attempt.recoveryKey, attempt.username, attempt.answers, opts);
    });
}
